gnutls_x509_crl_iter_crt_serial(3)

NAME
gnutls_x509_crl_iter_crt_serial - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crl_iter_crt_serial(gnutls_x509_crl_t crl, gnutls_x509_crl_iter_t * iter, unsigned char * serial, size_t * serial_size, time_t * t);

ARGUMENTS

gnutls_x509_crl_t crl
    should contain a gnutls_x509_crl_t type

gnutls_x509_crl_iter_t * iter
    A pointer to an iterator (initially the iterator should be NULL)

unsigned char * serial
    where the serial number will be copied

size_t * serial_size
    initially holds the size of serial

time_t * t
    if non null, will hold the time this certificate was revoked

DESCRIPTION
This function performs the same as gnutls_x509_crl_get_crt_serial(), but reads sequentially and keeps state in the iterator between calls. That allows it to provide better performance in sequences with many elements (50000+). When past the last element is accessed GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE is returned and the iterator is reset. After use, the iterator must be deinitialized using gnutls_x509_crl_iter_deinit().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/